![Figicons](https://raw.githubusercontent.com/Figicons/Homepage/master/src/assets/Github-cover.png)

## About Figicons

Figicons is an open-source SVG icon set containing over 150+ icons designed on a 24px grid in Figma. Custom icons that are designed in Figma can also be used. Figicons provides the right tooling to easily fetch, parse & optimize such icons in minutes.

[View all 150+ icons](https://figicons.com)

## Designed in Figma

The Figicons source is open in Figma, [check them out](https://www.figma.com/file/eIOdDEWeiHETuccK5xpfNhEc/Icons) and feel free to create issues for suggestions on the default icons.

###### Figicons is not affiliated with Figma in any way

## Building your own custom icons

Figicons was built from the ground up with support for your own Figma-designed custom icons. In just a few steps you can create your own React & Web components. 

[Check the full documentation](https://figicons.com/building-icons)

## Installation
#### CDN 

To use the **React Component**, import:

```
https://unpkg.com/figicons/umd/ReactComponent.js
```

Or to use the **Web Component**, import: 

```
https://unpkg.com/figicon/umd/WebComponent.js
```

## Usage
To use the **React Component**, use the `Figicon` React element like so:

```jsx
<Figicon name="heart"/>
```

Or to use the **Web Component**, use the `fig-icon` Web Component like so: 

```html
<fig-icon name="heart"></fig-icon>
```

[Check the full documentation on Usage](https://figicons.com/usage)

## Contributing guidelines

If you wish to contribute to the Figicons project please check out the ![contributing guidelines](CODE_OF_CONDUCT.md).

## License

Figicons is licensed under the ![MIT License](LICENSE)
